Package com.emc.documentum.rest.constant

# Enum Class DmlViewParam

java.lang.Object
java.lang.Enum<DmlViewParam>
com.emc.documentum.rest.constant.DmlViewParam

All Implemented Interfaces:
  `Serializable`, `Comparable<DmlViewParam>`, `Constable`

public enum DmlViewParam extends Enum<DmlViewParam>
Enum for dml view parameter

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  All type and type's properties attributes will be returned, including type name, label, and parent, and property name, label, type, length, repeating, hidden, notnull, readonly, required, default, searchable.
  `BASIC`
  Only basic dml will be returned, which includes type name, parent, and property name, type, length, repeating.
  `NONE`
  The minimum result of type will be returned, which does not include properties at all, and type label is not displayed either.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DmlViewParam`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DmlViewParam[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BASIC

    public static final DmlViewParam BASIC
    Only basic dml will be returned, which includes type name, parent, and property name, type, length, repeating.

  - ### NONE

    public static final DmlViewParam NONE
    The minimum result of type will be returned, which does not include properties at all, and type label is not displayed either. Only type name and parent will be returned.

  - ### ALL

    public static final DmlViewParam ALL
    All type and type's properties attributes will be returned, including type name, label, and parent, and property name, label, type, length, repeating, hidden, notnull, readonly, required, default, searchable.

- ## Method Details

  - ### values

    public static DmlViewParam[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DmlViewParam valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null